<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layout/main.html}">
<head>
<title>SQuaReS</title>
</head>
<body>
	<th:block layout:fragment="buttons">
		<ul class="navbar-nav" style="list-style-type: none">
			<li class="nav-item btn-hoverborder"><a class="nav-link" th:href="@{/login}" th:title="#{button.reload}"
				onclick="progress.start()"><i class="fas fa-sync"></i></a></li>
		</ul>
		<ul class="navbar-nav flex-fill" style="list-style-type: none">
			<li class="nav-item" style="width: 100%"><input type="text" class="form-control" th:placeholder="#{search}"
				onchange="jsTreeExt.search(this.value, true)"></li>
		</ul>
	</th:block>
	<main layout:fragment="content">
		<script type="text/javascript" th:inline="javascript">
			/*<![CDATA[*/
			var jsTreeExt = new JsTreeExt("#tree", "#treecontainer",
					"#details", "#basket", "/SQuaReS/", "load/", "details/",
					"find/");

			$(document).ready(
					function() {
						// problem: elements is way too long (exceeds line size limit for all variables)
						var the_data = JSON.parse('[(${elements})]');

						/*
						 * initialize jstree wit checkboxes and wanted click behaviour
						 */
						$("#tree").jstree({
							"core" : {
								"themes" : {
									"variant" : "large"
								},
								"check_callback" : true,
								"data" : the_data
							},
							"checkbox" : {
								"three_state" : true,
								"whole_node" : false,
								"tie_selection" : false
							},
							"plugins" : [ "checkbox", "search", "changed" ]
						});

						/*
						 * update the divs
						 */
						$("#tree").on("changed.jstree", function(e, data) {
							jsTreeExt.refresh_basket();
						});

						/*
						 * clicking on a checkbox, update the shopping basket after the tree refreshment
						 */
						$("#tree").on(
								"uncheck_node.jstree",
								function(node, selected, event) {
									$("#tree").jstree("close_node",
											selected.node);
									jsTreeExt.refresh_basket();
								});

						/*
						 * clicking on a checkbox, update the shopping basket after the tree refreshment
						 */
						$("#tree").on(
								"check_node.jstree",
								function(node, selected, event) {
									jsTreeExt.reload_children(selected.node.id,
											true, false);
									$("#tree").jstree("open_node",
											selected.node);
									jsTreeExt.refresh_basket();
								});

						/*
						 * clicking on one node, load all its children and toggle its collapsed state
						 */
						$("#tree").on(
								"select_node.jstree",
								function(e, data) {
									jsTreeExt.refresh_details();
									jsTreeExt.reload_children(data.node.id,
											false, false);
								});
					});
			/*]]>*/
		</script>
		<div id="treecontainer" class="overflow-auto treecontainer lowered_panel">
			<div id="tree"></div>
		</div>
		<div class="container infoselection">
			<div class="row h-100">
				<div class="col h-100">
					<div class="short-div lowered_panel overflow-auto h-100" style="width: 47vw">
						<div id="details" class="borderpadded"></div>
					</div>
				</div>
				<div class="col h-100">
					<div class="short-div lowered_panel overflow-auto h-100" style="width: 47vw">
						<div id="basket" class="borderpadded"></div>
					</div>
				</div>
			</div>
		</div>
	</main>
</body>
</html>